Name:    khelpcenter
Summary: Show documentation for KDE applications
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2 or GPLv3
URL:     https://invent.kde.org/system/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  grantlee-qt5-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-khtml-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kservice-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  libappstream-glib
BuildRequires:  libxml2-devel
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  xapian-core-devel

Conflicts: kde-l10n < 17.04.1-2

%description
%{summary}.


%prep
%autosetup


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/services
cp -alf \
  %{buildroot}%{_datadir}/kservices5/khelpcenter.desktop \
  %{buildroot}%{_datadir}/services/

%find_lang %{name} --all-name --with-html


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop

%files -f %{name}.lang
%doc README.metadata
%license LICENSES/*
%{_bindir}/%{name}
%{_kf5_datadir}/qlogging-categories5/%{name}.*
%{_libexecdir}/khc_mansearch.pl
%{_libexecdir}/khc_xapianindexer
%{_libexecdir}/khc_xapiansearch
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml
%{_datadir}/applications/org.kde.%{name}.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/dbus-1/services/org.kde.%{name}.service
%{_datadir}/kservices5/%{name}.desktop
%{_datadir}/services/%{name}.desktop
%{_datadir}/kde4/services/%{name}.desktop


%changelog
* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
